#pragma once

#include "OptionsWindow.h"
#include <TextFeld.h>
#include <Knopf.h>

#include "ChatHistory.h"
#include "ChatOptions.h"

class Chat : public OptionsWindow
{
private:
    ChatHistory* history;
    Framework::TextFeld* commandLine;
    Framework::Knopf* sendButton;
    ChatOptions* options;
    bool optionsAdded;
    
public:
    Chat();
    ~Chat();

    void addMessage(char* data);
    void initOptions(char* data);
    bool tick(double time) override;
    void render(Framework::Bild& rObj) override;
};